MYSQLROUTER_PASSWD(1)

NAME
mysqlrouter_passwd - MySQL Router Password Tool

SYNOPSIS

mysqlrouter_passwd [options]

DESCRIPTION

The mysqlrouter_passwd utility is a command line application to manage the accounts in the passwd file. For example usage, see Section 6.1, “A Simple MySQL Router REST API Guide”.

Usage information:

    Usage
      bin/mysqlrouter_passwd [opts] <cmd> <filename> [<username>]
      bin/mysqlrouter_passwd --help
      bin/mysqlrouter_passwd --version
    Commands
      delete
          Delete username (if it exists) from <filename>.
      list
          list one or all accounts of <filename>.
      set
          add or overwrite account of <username> in <filename>.
      verify
          verify if password matches <username>'s credentials in <filename>.
    Options
      -?, --help
          Display this help and exit.
      --kdf <name>
          Key Derivation Function for 'set'. One of pbkdf2-sha256, pbkdf2-sha512,
          sha256-crypt, sha512-crypt. default: sha256-crypt
      -V, --version
          Display version information and exit.
      --work-factor <num>
          Work-factor hint for KDF if account is updated.

COPYRIGHT

Copyright © 2006, 2024, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).